## GgitConfigEntry GgitConfigEntry |

## Functions

GgitConfigEntry * | ggit_config_entry_ref ()
void | ggit_config_entry_unref ()
const gchar * | ggit_config_entry_get_name ()
const gchar * | ggit_config_entry_get_value ()
GgitConfigLevel | ggit_config_entry_get_level ()

## Types and Values

| GgitConfigEntry

## Object Hierarchy

        GBoxed
        ╰── GgitConfigEntry

## Description

## Functions

### ggit_config_entry_ref ()

    GgitConfigEntry *
    ggit_config_entry_ref (GgitConfigEntry *entry);

Atomically increments the reference count of `entry` by one. This function is MT-safe and may be called from any thread.

#### Parameters

entry | a GgitConfigEntry. |

#### Returns

a GgitConfigEntry or `NULL`.

[transfer none][nullable]

### ggit_config_entry_unref ()

    void
    ggit_config_entry_unref (GgitConfigEntry *entry);

Atomically decrements the reference count of `entry` by one. If the reference count drops to 0, `entry` is freed.

#### Parameters

entry | a GgitConfigEntry. |

### ggit_config_entry_get_name ()

    const gchar *
    ggit_config_entry_get_name (GgitConfigEntry *entry);

Gets the name of `entry` .

#### Parameters

entry | a GgitConfigEntry. |

#### Returns

the name of `entry` or `NULL`.

[transfer none][nullable]

### ggit_config_entry_get_value ()

    const gchar *
    ggit_config_entry_get_value (GgitConfigEntry *entry);

Gets the value of `entry` .

#### Parameters

entry | a GgitConfigEntry. |

#### Returns

the value of `entry` or `NULL`.

[transfer none][nullable]

### ggit_config_entry_get_level ()

    GgitConfigLevel
    ggit_config_entry_get_level (GgitConfigEntry *entry);

Gets the GgitConfigLevel of `entry` .

#### Parameters

entry | a GgitConfigEntry. |

#### Returns

the GgitConfigLevel of `entry` .

## Types and Values

### GgitConfigEntry

    typedef struct _GgitConfigEntry GgitConfigEntry;

Represents a git configuration entry.